*
* ==============================================
*
*   PushB1D.asm     Axiom Push Button Program 
*                                 
*   Version:        1.0   Released 2/02/2004
*   Author:         Gary Karnes , Axiom Mfg.
*   Compiler:       As12
*       
*   Platform:       Axiom CME11-E9 EVBU
*   Purpose:        Lab Experiment 
* ==============================================
*
* Push Button Program
* HC11 code 
*
PORTA        equ     $1000        ; PORT A input resister
OUTCRLF      equ     $FFC4        ; Buffalo routine CR/LF
OUTSTRG      equ     $FFC7        ; Output a String

*
             org     $0100        ; start address
*              
Loop
             ldaa     #$01        ; mask bit 
             bita     PORTA       ; Push Button Pressed?
             beq      Press       ; report Pressed   
             bra      Loop         
*
* Push Button is Pressed
Press
             jsr      OUTCRLF     ; new line
             ldx      #Mes_Pr     ; Pressed Message
             jsr      OUTSTRG     ; Output Message
             jsr      Delay
Press_L      
             ldaa     #$01        ; Mask Bit
             bita     PORTA       ; Push Button Pressed?        
             beq      Press_L     ; wait for released
             ldx      #Mes_RL     ; Released Message
             jsr      OUTSTRG     ; Output Message
             bra      Loop
*Delay Routine
Delay
             ldy      #$2000
DelayA   
             dey 
             bne      DelayA 
             rts
*
* Messages
Mes_Pr  
             fcc     ' Push Button Pressed Detected'
             fcb     4
Mes_RL
             fcc     ' Push Button Released Detected'
             fcb     4
*